Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class DrillReplaceExt

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.olap.query.DrillReplaceExt

All Implemented Interfaces:
  Extension, DrillReplace

    public class DrillReplaceExt

extends ExtensionSupport
implements DrillReplace

Author:
  hh

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.DrillReplace
`ID`

Constructor Summary
`DrillReplaceExt()` Constructor sets ID

Method Summary
`boolean` | `canDrillDown(Member member)` drill down is possible if `member` has children
`boolean` | `canDrillUp(Hierarchy hier)` drill up is possible if not all members of the top level hierarchy are shown.
`void` | `drillDown(Member member)` replaces the members.
`void` | `drillUp(Hierarchy hier)` replaces all visible members of hier with the members of the next higher level.

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### DrillReplaceExt

    public DrillReplaceExt()

  Constructor sets ID

Method Detail

### canDrillDown

    public boolean canDrillDown(Member member)

  drill down is possible if `member` has children

  Specified by:
    `canDrillDown` in interface `DrillReplace`

### canDrillUp

    public boolean canDrillUp(Hierarchy hier)

  drill up is possible if not all members of the top level hierarchy are shown.

  Specified by:
    `canDrillUp` in interface `DrillReplace`

### drillDown

    public void drillDown(Member member)

  replaces the members. Let `H` be the hierarchy that member belongs to. Then drillDown will replace all members from `H` that are currently visible with the children of `member`.

  Specified by:
    `drillDown` in interface `DrillReplace`

### drillUp

    public void drillUp(Hierarchy hier)

  replaces all visible members of hier with the members of the next higher level.

  Specified by:
    `drillUp` in interface `DrillReplace`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD